import request from '@/utils/request'
const brandApi = {
  add: '/bms/brand/add',
  get: '/bms/brand/get',
  update: '/bms/brand/update',
  del: '/bms/brand/delete',
  page: '/bms/brand/page',
  list: '/bms/brand/listByCategory',
  updateStatus: '/bms/brand/updateStatus'
}

export function brandAdd (params) {
  return request({
    url: brandApi.add,
    method: 'post',
    data: params
  })
}
export function brandGet (params) {
  return request({
    url: brandApi.get,
    method: 'post',
    data: params
  })
}
export function brandUpdate (params) {
  return request({
    url: brandApi.update,
    method: 'post',
    data: params
  })
}
export function brandDelete (params) {
  return request({
    url: brandApi.del,
    method: 'post',
    data: params
  })
}
export function brandPage (params) {
  return request({
    url: brandApi.page,
    method: 'post',
    data: params
  })
}
export function brandList (params) {
  return request({
    url: brandApi.list,
    method: 'post',
    data: params
  })
}
export function brandUpdateStatus (params) {
  return request({
    url: brandApi.updateStatus,
    method: 'post',
    data: params
  })
}
