import request from '@/utils/request'
const businessModelApi = {
  add: '/bms/businessModel/save',
  get: '/bms/businessModel/get',
  update: '/bms/businessModel/update',
  del: '/bms/businessModel/delete',
  page: '/bms/businessModel/page',
  list: '/bms/businessModel/list'
}

export function add (params) {
  return request({
    url: businessModelApi.add,
    method: 'post',
    data: params
  })
}
export function get (params) {
  return request({
    url: businessModelApi.get,
    method: 'post',
    data: params
  })
}
export function update (params) {
  return request({
    url: businessModelApi.update,
    method: 'post',
    data: params
  })
}
export function del (params) {
  return request({
    url: businessModelApi.del,
    method: 'post',
    data: params
  })
}
export function list (params) {
  return request({
    url: businessModelApi.list,
    method: 'post',
    data: params
  })
}
