import request from '@/utils/request'

const divisionApi = {
  add: '/bms/division/save',
  get: '/bms/division/get',
  update: '/bms/division/update',
  del: '/bms/division/delete',
  listDivision: '/bms/division/listByParentCode'
}
export function divisionAdd (params) {
  return request({
    url: divisionApi.add,
    method: 'post',
    data: params
  })
}
export function divisionGet (params) {
  return request({
    url: divisionApi.get,
    method: 'post',
    data: params
  })
}
export function divisionUpdate (params) {
  return request({
    url: divisionApi.update,
    method: 'post',
    data: params
  })
}
export function divisionDelete (params) {
  return request({
    url: divisionApi.del,
    method: 'post',
    data: params
  })
}
export function listDivision (params) {
  return request({
    url: divisionApi.listDivision,
    method: 'post',
    data: params
  })
}
