import request from '@/utils/request'
const settlementAccountApi = {
  add: '/bms/storeSettlementAccount/add',
  get: '/bms/storeSettlementAccount/getById',
  update: '/bms/storeSettlementAccount/update',
  del: '/bms/storeSettlementAccount/delete',
  list: '/bms/storeSettlementAccount/list',
  page: '/bms/storeSettlementAccount/page'
}

export function settlementAccountAdd (params) {
  return request({
    url: settlementAccountApi.add,
    method: 'post',
    data: params
  })
}
export function settlementAccountPage (params) {
  return request({
    url: settlementAccountApi.page,
    method: 'post',
    data: params
  })
}
export function settlementAccountGet (params) {
  return request({
    url: settlementAccountApi.get,
    method: 'post',
    data: params
  })
}
export function settlementAccountUpdate (params) {
  return request({
    url: settlementAccountApi.update,
    method: 'post',
    data: params
  })
}
export function settlementAccountDelete (params) {
  return request({
    url: settlementAccountApi.del,
    method: 'post',
    data: params
  })
}
export function settlementAccountList (params) {
  return request({
    url: settlementAccountApi.list,
    method: 'post',
    data: params
  })
}
