import request from '@/utils/request'
const goodsApi = {
  add: '/gms/goods/save',
  get: '/gms/goods/getGoodsById',
  update: '/gms/goods/update',
  del: '/gms/goods/delete',
  page: '/gms/goods/page',
  list: '/gms/goods/list',
  updateStatus: '/gms/goods/updateGoodsStatus',
  checkGoodsCode: '/gms/goods/checkGoodsGoodsCodeUnique',
  checkGoodsBarCode: '/gms/goods/checkGoodsGoodsBarCodeUnique',
  goodsCount: '/gms/goods/countGoodsInfo',
  detail: '/gms/goods/get',
  listByStoreId: '/gms/goods/listByStoreId'
}

export function goodsAdd (params) {
  return request({
    url: goodsApi.add,
    method: 'post',
    data: params
  })
}
export function goodsGet (params) {
  return request({
    url: goodsApi.get,
    method: 'post',
    data: params
  })
}
export function goodsUpdate (params) {
  return request({
    url: goodsApi.update,
    method: 'post',
    data: params
  })
}
export function goodsDelete (params) {
  return request({
    url: goodsApi.del,
    method: 'post',
    data: params
  })
}
export function goodsPage (params) {
  return request({
    url: goodsApi.page,
    method: 'post',
    data: params
  })
}
export function goodsList (params) {
  return request({
    url: goodsApi.list,
    method: 'post',
    data: params
  })
}
export function goodsUpdateStatus (params) {
  return request({
    url: goodsApi.updateStatus,
    method: 'post',
    data: params
  })
}
export function goodsCheckGoodsCode (params) {
  return request({
    url: goodsApi.checkGoodsCode,
    method: 'post',
    data: params
  })
}
export function goodsCheckGoodsBarCode (params) {
  return request({
    url: goodsApi.checkGoodsBarCode,
    method: 'post',
    data: params
  })
}
export function goodsCount (params) {
  return request({
    url: goodsApi.goodsCount,
    method: 'post',
    data: params
  })
}
export function goodsDetail (params) {
  return request({
    url: goodsApi.detail,
    method: 'post',
    data: params
  })
}
export function getGoodsListByStoreId (params) {
  return request({
    url: goodsApi.listByStoreId,
    method: 'post',
    data: params
  })
}
