import request from '@/utils/request'
const salesPropApi = {
  add: '/gms/salesProp/add',
  get: '/gms/salesProp/get',
  update: '/gms/salesProp/update',
  del: '/gms/salesProp/delete',
  page: '/gms/salesProp/page',
  list: '/gms/salesProp/list'
}

export function salesPropAdd (params) {
  return request({
    url: salesPropApi.add,
    method: 'post',
    data: params
  })
}
export function salesPropGet (params) {
  return request({
    url: salesPropApi.get,
    method: 'post',
    data: params
  })
}
export function salesPropUpdate (params) {
  return request({
    url: salesPropApi.update,
    method: 'post',
    data: params
  })
}
export function salesPropDelete (params) {
  return request({
    url: salesPropApi.del,
    method: 'post',
    data: params
  })
}
export function salesPropPage (params) {
  return request({
    url: salesPropApi.page,
    method: 'post',
    data: params
  })
}
export function salesPropList (params) {
  return request({
    url: salesPropApi.list,
    method: 'post',
    data: params
  })
}
