import request from '@/utils/request'
const appApi = {
  add: '/security/app/save',
  get: '/security/app/get',
  update: '/security/app/update',
  del: '/security/app/delete',
  page: '/security/app/page',
  updateStatus: '/security/app/updateStatus',
  refresh: '/security/app/refreshAccessSecret'
}

export function appAdd (params) {
  return request({
    url: appApi.add,
    method: 'post',
    data: params
  })
}
export function appGet (params) {
  return request({
    url: appApi.get,
    method: 'post',
    data: params
  })
}
export function appUpdate (params) {
  return request({
    url: appApi.update,
    method: 'post',
    data: params
  })
}
export function appDelete (params) {
  return request({
    url: appApi.del,
    method: 'post',
    data: params
  })
}
export function appPage (params) {
  return request({
    url: appApi.page,
    method: 'post',
    data: params
  })
}
export function appUpdateStatus (params) {
  return request({
    url: appApi.updateStatus,
    method: 'post',
    data: params
  })
}
export function refreshAccessSecret (params) {
  return request({
    url: appApi.refresh,
    method: 'post',
    data: params
  })
}
export const appTypeMap = {
  'ANDROID_APP': 'Android APP',
  'A8_POS': 'POS A8版',
  'IOS_APP': 'iPhone APP',
  'OPENAPI': '开放接口',
  'ADMIN': '管理后台'
}
