import request from '@/utils/request'
const appVersionApi = {
  add: '/security/appVersion/save',
  update: '/security/appVersion/update',
  del: '/security/appVersion/delete',
  page: '/security/appVersion/page',
  updateMustUpgrade: '/security/appVersion/updateMustUpgrade',
  get: '/security/appVersion/getAppVersionById'
}

export function appVersionAdd (params) {
  return request({
    url: appVersionApi.add,
    method: 'post',
    data: params
  })
}
export function appVersionUpdate (params) {
  return request({
    url: appVersionApi.update,
    method: 'post',
    data: params
  })
}
export function appVersionDelete (params) {
  return request({
    url: appVersionApi.del,
    method: 'post',
    data: params
  })
}
export function appVersionPage (params) {
  return request({
    url: appVersionApi.page,
    method: 'post',
    data: params
  })
}
export function updateMustUpgrade (params) {
  return request({
    url: appVersionApi.updateMustUpgrade,
    method: 'post',
    data: params
  })
}
export function appVersionGet (params) {
  return request({
    url: appVersionApi.get,
    method: 'post',
    data: params
  })
}
