import request from '@/utils/request'
const cmsArticleApi = {
  add: '/security/cmsArticle/add',
  get: '/security/cmsArticle/get',
  update: '/security/cmsArticle/update',
  del: '/security/cmsArticle/delete',
  page: '/security/cmsArticle/page',
  updateStatus: '/security/cmsArticle/updateStatus',
  listByCode: '/security/cmsArticle/listByCode'
}

export function cmsArticleAdd (params) {
  return request({
    url: cmsArticleApi.add,
    method: 'post',
    data: params
  })
}
export function cmsArticleGet (params) {
  return request({
    url: cmsArticleApi.get,
    method: 'post',
    data: params
  })
}
export function cmsArticleUpdate (params) {
  return request({
    url: cmsArticleApi.update,
    method: 'post',
    data: params
  })
}
export function cmsArticleDelete (params) {
  return request({
    url: cmsArticleApi.del,
    method: 'post',
    data: params
  })
}
export function cmsArticlePage (params) {
  return request({
    url: cmsArticleApi.page,
    method: 'post',
    data: params
  })
}
export function cmsArticleUpdateStatus (params) {
  return request({
    url: cmsArticleApi.updateStatus,
    method: 'post',
    data: params
  })
}
export function listByCode (params) {
  return request({
    url: cmsArticleApi.listByCode,
    method: 'post',
    data: params
  })
}
export const articleTypeMap = {
  0: '固化',
  1: '自定义'
}
