import request from '@/utils/request'

const api = {
  add: '/security/function/add',
  update: '/security/function/update',
  del: '/security/function/delete',
  page: '/security/function/page',
  get: '/security/function/get',
  functionCodeMap: '/security/function/getFunctionCodeMap'
}
export function functionAdd (params) {
  return request({
    url: api.add,
    method: 'post',
    data: params
  })
}
export function functionUpdate (params) {
  return request({
    url: api.update,
    method: 'post',
    data: params
  })
}
export function functionDel (params) {
  return request({
    url: api.del,
    method: 'post',
    data: params
  })
}
export function functionPage (params) {
  return request({
    url: api.page,
    method: 'post',
    data: params
  })
}
export function functionGet (params) {
  return request({
    url: api.get,
    method: 'post',
    data: params
  })
}
export function functionCodeMap (params) {
  return request({
    url: api.functionCodeMap,
    method: 'post',
    data: params
  })
}
