import request from '@/utils/request'
const functionCategoryApi = {
  add: '/security/functionCategory/add',
  update: '/security/functionCategory/update',
  del: '/security/functionCategory/delete',
  page: '/security/functionCategory/page',
  get: '/security/functionCategory/get'
}

export function functionCategoryAdd (params) {
  return request({
    url: functionCategoryApi.add,
    method: 'post',
    data: params
  })
}
export function functionCategoryUpdate (params) {
  return request({
    url: functionCategoryApi.update,
    method: 'post',
    data: params
  })
}
export function functionCategoryDel (params) {
  return request({
    url: functionCategoryApi.del,
    method: 'post',
    data: params
  })
}
export function functionCategoryPage (params) {
  return request({
    url: functionCategoryApi.page,
    method: 'post',
    data: params
  })
}
export function functionCategoryGet (params) {
  return request({
    url: functionCategoryApi.get,
    method: 'post',
    data: params
  })
}
