import request from '@/utils/request'

const functionResourceApi = {
  add: '/security/functionResource/add',
  del: '/security/functionResource/delete'
}

export function functionResourceAdd (params) {
  return request({
    url: functionResourceApi.add,
    method: 'post',
    data: params
  })
}
export function functionResourceDelete (params) {
  return request({
    url: functionResourceApi.del,
    method: 'post',
    data: params
  })
}
