import storage from 'store'
import { userLogin } from '@/api/security/user'
import { LOGIN_TOKEN, USER_INFO } from '@/store/mutation-types'

const user = {
  state: {
    loginToken: '',
    userInfo: {}
  },
  mutations: {
    SET_LOGIN_TOKEN: (state, loginToken) => {
      state.loginToken = loginToken
    },
    SET_USER_INFO: (state, userInfo) => {
      state.userInfo = userInfo
    }
  },
  actions: {
    // 登录
    Login ({ commit }, userInfo) {
      return new Promise((resolve, reject) => {
				storage.set(LOGIN_TOKEN, '111111', 24 * 60 * 60 * 1000)
				// storage.set(USER_INFO, result, 24 * 60 * 60 * 1000)
				commit('SET_LOGIN_TOKEN', '111111')
				// commit('SET_USER_INFO', result)
				resolve()
        // userLogin(userInfo).then(response => {
        //   const result = response.data
        //   storage.set(LOGIN_TOKEN, result.loginToken, 24 * 60 * 60 * 1000)
        //   // storage.set(USER_INFO, result, 24 * 60 * 60 * 1000)
        //   commit('SET_LOGIN_TOKEN', result.loginToken)
        //   // commit('SET_USER_INFO', result)
        //   resolve()
        // }).catch(error => {
        //   reject(error)
        // })
      })
    },
    // 登出
    Logout ({ commit, state }) {
      return new Promise((resolve) => {
				commit('SET_LOGIN_TOKEN', '')
        commit('SET_USER_INFO', {})
        commit('SET_ROUTERS', [])
				storage.remove(LOGIN_TOKEN)
        storage.remove(USER_INFO)
				resolve()
      })
    }
  }
}

export default user
