import request from '@/utils/request'
const catalogApi = {
  add: '/bms/catalog/add',
  update: '/bms/catalog/update',
  del: '/bms/catalog/delete',
  page: '/bms/catalog/page',
  get: '/bms/catalog/get'
}

export function catalogAdd (params) {
  return request({
    url: catalogApi.add,
    method: 'post',
    data: params
  })
}
export function catalogUpdate (params) {
  return request({
    url: catalogApi.update,
    method: 'post',
    data: params
  })
}
export function catalogDel (params) {
  return request({
    url: catalogApi.del,
    method: 'post',
    data: params
  })
}
export function catalogPage (params) {
  return request({
    url: catalogApi.page,
    method: 'post',
    data: params
  })
}
export function catalogGet (params) {
  return request({
    url: catalogApi.get,
    method: 'post',
    data: params
  })
}
