import request from '@/utils/request'

const api = {
  listStoreCategory: '/bms/category/listStoreCategory',
  add: '/bms/category/add',
  update: '/bms/category/update',
  delete: '/bms/category/delete',
  page: '/bms/category/pageCategory',
  get: '/bms/category/get',
  updateStatus: '/bms/category/updateStatus'
}
export function listStoreCategory (params) {
  return request({
    url: api.listStoreCategory,
    method: 'post',
    data: params
  })
}
export function addCategory (params) {
  return request({
    url: api.add,
    method: 'post',
    data: params
  })
}
export function updateCategory (params) {
  return request({
    url: api.update,
    method: 'post',
    data: params
  })
}
export function deleteCategory (params) {
  return request({
    url: api.delete,
    method: 'post',
    data: params
  })
}
export function pageCategory (params) {
  return request({
    url: api.page,
    method: 'post',
    data: params
  })
}
export function getCategory (params) {
  return request({
    url: api.get,
    method: 'post',
    data: params
  })
}
export function updateStatusCategory (params) {
  return request({
    url: api.updateStatus,
    method: 'post',
    data: params
  })
}
