import request from '@/utils/request'

const CorporationApi = {
  add: '/bms/corporation/add',
  get: '/bms/corporation/get',
  update: '/bms/corporation/update',
  del: '/bms/corporation/delete',
  page: '/bms/corporation/page',
  list: '/bms/corporation/list',
  updateStatus: '/bms/corporation/updateStatus'
}
export function corporationAdd (params) {
  return request({
    url: CorporationApi.add,
    method: 'post',
    data: params
  })
}
export function corporationPage (params) {
  return request({
    url: CorporationApi.page,
    method: 'post',
    data: params
  })
}
export function corporationUpdate (params) {
  return request({
    url: CorporationApi.update,
    method: 'post',
    data: params
  })
}
export function corporationDelete (params) {
  return request({
    url: CorporationApi.del,
    method: 'post',
    data: params
  })
}
export function corporationList (params) {
  return request({
    url: CorporationApi.list,
    method: 'post',
    data: params
  })
}
export function corporationGet (params) {
  return request({
    url: CorporationApi.get,
    method: 'post',
    data: params
  })
}
export function updateStatus (params) {
  return request({
    url: CorporationApi.updateStatus,
    method: 'post',
    data: params
  })
}
