import request from '@/utils/request'

const api = {
  add: '/bms/mall/save',
  get: '/bms/mall/get',
  update: '/bms/mall/update',
  del: '/bms/mall/delete',
  page: '/bms/mall/page',
  list: '/bms/mall/list',
  updateStatus: '/bms/mall/updateStatus',
  corporationList: '/bms/corporation/list',
  listByUserType: '/bms/mall/listByUserType'
}
export function add (params) {
  return request({
    url: api.add,
    method: 'post',
    data: params
  })
}
export function get (params) {
  return request({
    url: api.get,
    method: 'post',
    data: params
  })
}
export function update (params) {
  return request({
    url: api.update,
    method: 'post',
    data: params
  })
}
export function del (params) {
  return request({
    url: api.del,
    method: 'post',
    data: params
  })
}
export function page (params) {
  return request({
    url: api.page,
    method: 'post',
    data: params
  })
}
export function list (params) {
  return request({
    url: api.list,
    method: 'post',
    data: params
  })
}
export function updateStatus (params) {
  return request({
    url: api.updateStatus,
    method: 'post',
    data: params
  })
}

export function corporationList (params) {
  return request({
    url: api.corporationList,
    method: 'post',
    data: params
  })
}

export function listByUserType (params) {
  return request({
    url: api.listByUserType,
    method: 'post',
    data: params
  })
}
