import request from '@/utils/request'
const payMethodApi = {
  add: '/bms/storePayMethod/add',
  get: '/bms/storePayMethod/getById',
  update: '/bms/storePayMethod/update',
  del: '/bms/storePayMethod/delete',
  list: '/bms/storePayMethod/list',
  page: '/bms/storePayMethod/page'
}

export function storePayMethodAdd (params) {
  return request({
    url: payMethodApi.add,
    method: 'post',
    data: params
  })
}
export function storePayMethodPage (params) {
  return request({
    url: payMethodApi.page,
    method: 'post',
    data: params
  })
}
export function storePayMethodGet (params) {
  return request({
    url: payMethodApi.get,
    method: 'post',
    data: params
  })
}
export function storePayMethodUpdate (params) {
  return request({
    url: payMethodApi.update,
    method: 'post',
    data: params
  })
}
export function storePayMethodDelete (params) {
  return request({
    url: payMethodApi.del,
    method: 'post',
    data: params
  })
}
export function storePayMethodList (params) {
  return request({
    url: payMethodApi.list,
    method: 'post',
    data: params
  })
}
