import request from '@/utils/request'

const api = {
  add: '/bms/store/add',
  get: '/bms/store/get',
  update: '/bms/store/update',
  del: '/bms/store/delete',
  page: '/bms/store/page',
  list: '/bms/store/list',
  updateStatus: '/bms/store/updateStatus'
}
export function storeAdd (params) {
  return request({
    url: api.add,
    method: 'post',
    data: params
  })
}
export function storeGet (params) {
  return request({
    url: api.get,
    method: 'post',
    data: params
  })
}
export function storeUpdate (params) {
  return request({
    url: api.update,
    method: 'post',
    data: params
  })
}
export function storeDel (params) {
  return request({
    url: api.del,
    method: 'post',
    data: params
  })
}
export function storePage (params) {
  return request({
    url: api.page,
    method: 'post',
    data: params
  })
}
export function storeList (params) {
  return request({
    url: api.list,
    method: 'post',
    data: params
  })
}
export function storeUpdateStatus (params) {
  return request({
    url: api.updateStatus,
    method: 'post',
    data: params
  })
}
