import request from '@/utils/request'
const goodsCategoryApi = {
  add: '/gms/goodsCategory/save',
  get: '/gms/goodsCategory/get',
  update: '/gms/goodsCategory/update',
  del: '/gms/goodsCategory/delete',
  list: '/gms/goodsCategory/listGoodsCategory',
  updateStatus: '/gms/goodsCategory/updategoodsCategoryStatus'
}

export function goodsCategoryAdd (params) {
  return request({
    url: goodsCategoryApi.add,
    method: 'post',
    data: params
  })
}
export function goodsCategoryGet (params) {
  return request({
    url: goodsCategoryApi.get,
    method: 'post',
    data: params
  })
}
export function goodsCategoryUpdate (params) {
  return request({
    url: goodsCategoryApi.update,
    method: 'post',
    data: params
  })
}
export function goodsCategoryDelete (params) {
  return request({
    url: goodsCategoryApi.del,
    method: 'post',
    data: params
  })
}
export function goodsCategoryList (params) {
  return request({
    url: goodsCategoryApi.list,
    method: 'post',
    data: params
  })
}
export function goodsCategoryUpdateStatus (params) {
  return request({
    url: goodsCategoryApi.updateStatus,
    method: 'post',
    data: params
  })
}
