import request from '@/utils/request'
const goodsUnitApi = {
  add: '/gms/goodsUnit/save',
  get: '/gms/goodsUnit/get',
  update: '/gms/goodsUnit/update',
  del: '/gms/goodsUnit/delete',
  page: '/gms/goodsUnit/page',
  list: '/gms/goodsUnit/list',
  updateStatus: '/gms/goodsUnit/updategoodsUnitStatus'
}

export function goodsUnitAdd (params) {
  return request({
    url: goodsUnitApi.add,
    method: 'post',
    data: params
  })
}
export function goodsUnitGet (params) {
  return request({
    url: goodsUnitApi.get,
    method: 'post',
    data: params
  })
}
export function goodsUnitUpdate (params) {
  return request({
    url: goodsUnitApi.update,
    method: 'post',
    data: params
  })
}
export function goodsUnitDelete (params) {
  return request({
    url: goodsUnitApi.del,
    method: 'post',
    data: params
  })
}
export function goodsUnitPage (params) {
  return request({
    url: goodsUnitApi.page,
    method: 'post',
    data: params
  })
}
export function goodsUnitList (params) {
  return request({
    url: goodsUnitApi.list,
    method: 'post',
    data: params
  })
}
export function goodsUnitUpdateStatus (params) {
  return request({
    url: goodsUnitApi.updateStatus,
    method: 'post',
    data: params
  })
}
