import request from '@/utils/request'
const salesPropValueApi = {
  add: '/gms/salesPropValue/add',
  get: '/gms/salesPropValue/get',
  update: '/gms/salesPropValue/update',
  del: '/gms/salesPropValue/delete',
  page: '/gms/salesPropValue/page',
  list: '/gms/salesPropValue/list'
}

export function salesPropValueAdd (params) {
  return request({
    url: salesPropValueApi.add,
    method: 'post',
    data: params
  })
}
export function salesPropValueGet (params) {
  return request({
    url: salesPropValueApi.get,
    method: 'post',
    data: params
  })
}
export function salesPropValueUpdate (params) {
  return request({
    url: salesPropValueApi.update,
    method: 'post',
    data: params
  })
}
export function salesPropValueDelete (params) {
  return request({
    url: salesPropValueApi.del,
    method: 'post',
    data: params
  })
}
export function salesPropValuePage (params) {
  return request({
    url: salesPropValueApi.page,
    method: 'post',
    data: params
  })
}
export function salesPropValueList (params) {
  return request({
    url: salesPropValueApi.list,
    method: 'post',
    data: params
  })
}
