import request from '@/utils/request'
const skuApi = {
  add: '/gms/sku/save',
  get: '/gms/sku/get',
  update: '/gms/sku/update',
  del: '/gms/sku/delete',
  page: '/gms/sku/page',
  list: '/gms/sku/list',
  getJsonSkuList: '/gms/sku/getJsonSkuListByParams',
  getSalesPropForAdm: '/gms/sku/getSalesPropForAdm',
  getSkuBySalesProp: '/gms/sku/getSkuBySalesProp',
  getPropForAdm: '/gms/sku/getPropForAdm'
}

export function skuAdd (params) {
  return request({
    url: skuApi.add,
    method: 'post',
    data: params
  })
}
export function skuGet (params) {
  return request({
    url: skuApi.get,
    method: 'post',
    data: params
  })
}
export function skuUpdate (params) {
  return request({
    url: skuApi.update,
    method: 'post',
    data: params
  })
}
export function skuDelete (params) {
  return request({
    url: skuApi.del,
    method: 'post',
    data: params
  })
}
export function skuPage (params) {
  return request({
    url: skuApi.page,
    method: 'post',
    data: params
  })
}
export function skuList (params) {
  return request({
    url: skuApi.list,
    method: 'post',
    data: params
  })
}
export function skuGetJsonSkuList (params) {
  return request({
    url: skuApi.getJsonSkuList,
    method: 'post',
    data: params
  })
}
export function getSalesPropForAdm (params) {
  return request({
    url: skuApi.getSalesPropForAdm,
    method: 'post',
    data: params
  })
}
export function getSkuBySalesProp (params) {
  return request({
    url: skuApi.getSkuBySalesProp,
    method: 'post',
    data: params
  })
}
export function getPropForAdm (params) {
  return request({
    url: skuApi.getPropForAdm,
    method: 'post',
    data: params
  })
}
