import request from '@/utils/request'
const skuStockChangeRecordApi = {
  page: '/gms/skuStockChangeRecord/page',
  get: '/gms/skuStockChangeRecord/get',
  change: '/gms/skuStockChangeRecord/outOrInSkuStockChangeRecord',
  cancel: '/gms/skuStockChangeRecord/cancelStockChangeRecord'
}

export function skuStockChangeRecordPage (params) {
  return request({
    url: skuStockChangeRecordApi.page,
    method: 'post',
    data: params
  })
}
export function skuStockChangeRecordGet (params) {
  return request({
    url: skuStockChangeRecordApi.get,
    method: 'post',
    data: params
  })
}
export function skuStockChangeRecordChange (params) {
  return request({
    url: skuStockChangeRecordApi.change,
    method: 'post',
    data: params
  })
}
export function skuStockChangeRecordCancel (params) {
  return request({
    url: skuStockChangeRecordApi.cancel,
    method: 'post',
    data: params
  })
}
