import request from '@/utils/request'
const skuApi = {
  listWarehouse: '/gms/warehouse/listByParams',
  findWarehouseListByStoreId: '/gms/warehouse/findWarehouseListByStoreId'
}
export function listWarehouse (params) {
  return request({
    url: skuApi.listWarehouse,
    method: 'post',
    data: params
  })
}
export function listWarehouseByStoreId (params) {
  return request({
    url: skuApi.findWarehouseListByStoreId,
    method: 'post',
    data: params
  })
}
