import request from '@/utils/request'
const salesOrderApi = {
  page: '/oms/order/page',
  get: '/oms/order/get',
  salesOrderLinePage: '/oms/order/findSalesOrderLinePageBySalesOrderId',
  exportSalesOrder: '/oms/order/exportSalesOrder',
  createOrder: '/oms/order/createOrder'
}

export function salesOrderPage (params) {
  return request({
    url: salesOrderApi.page,
    method: 'post',
    data: params
  })
}
export function salesOrderGet (params) {
  return request({
    url: salesOrderApi.get,
    method: 'post',
    data: params
  })
}
export function salesOrderLinePage (params) {
  return request({
    url: salesOrderApi.salesOrderLinePage,
    method: 'post',
    data: params
  })
}
export function exportSalesOrder (params) {
  var result = request({
    url: salesOrderApi.exportSalesOrder,
    method: 'post',
    data: params
  })
  return result
}
export function createOrder (params) {
  var result = request({
    url: salesOrderApi.createOrder,
    method: 'post',
    data: params
  })
  return result
}
