import request from '@/utils/request'
const purchaseApi = {
  page: '/purchase/purchaseOrder/pageByParams',
  get: '/purchase/purchaseOrder/get',
  purchaseOrderLinePage: '/purchase/purchaseOrder/findPurchaseOrderLineParamsByOrderId'
}

export function purchaseOrderPage (params) {
  return request({
    url: purchaseApi.page,
    method: 'post',
    data: params
  })
}
export function purchaseOrderGet (params) {
  return request({
    url: purchaseApi.get,
    method: 'post',
    data: params
  })
}
export function purchaseOrderLinePage (params) {
  return request({
    url: purchaseApi.purchaseOrderLinePage,
    method: 'post',
    data: params
  })
}
