import request from '@/utils/request'
const messageApi = {
  add: '/security/message/save',
  get: '/security/message/get',
  update: '/security/message/update',
  del: '/security/message/delete',
  page: '/security/message/page'
}

export function messageAdd (params) {
  return request({
    url: messageApi.add,
    method: 'post',
    data: params
  })
}
export function messageGet (params) {
  return request({
    url: messageApi.get,
    method: 'post',
    data: params
  })
}
export function messageUpdate (params) {
  return request({
    url: messageApi.update,
    method: 'post',
    data: params
  })
}
export function messageDelete (params) {
  return request({
    url: messageApi.del,
    method: 'post',
    data: params
  })
}
export function messagePage (params) {
  return request({
    url: messageApi.page,
    method: 'post',
    data: params
  })
}
