import request from '@/utils/request'
const redisManageApi = {
  page: '/security/redisManage/page',
  deleteByParams: '/security/redisManage/delete'
}

export function page (params) {
  return request({
    url: redisManageApi.page,
    method: 'post',
    data: params
  })
}

export function deleteByParams (params) {
  return request({
    url: redisManageApi.deleteByParams,
    method: 'post',
    data: params
  })
}
