import request from '@/utils/request'

const roleApi = {
  add: '/security/role/add',
  get: '/security/role/get',
  update: '/security/role/update',
  del: '/security/role/delete',
  page: '/security/role/page',
  updateStatus: '/security/role/updateStatus',
  rolesByUserId: '/security/role/listAllRoleByUserId'
}

export function roleAdd (params) {
  return request({
    url: roleApi.add,
    method: 'post',
    data: params
  })
}
export function roleGet (params) {
  return request({
    url: roleApi.get,
    method: 'post',
    data: params
  })
}
export function roleUpdate (params) {
  return request({
    url: roleApi.update,
    method: 'post',
    data: params
  })
}
export function roleDelete (params) {
  return request({
    url: roleApi.del,
    method: 'post',
    data: params
  })
}
export function rolePage (params) {
  return request({
    url: roleApi.page,
    method: 'post',
    data: params
  })
}
export function roleUpdateStatus (params) {
  return request({
    url: roleApi.updateStatus,
    method: 'post',
    data: params
  })
}
export function rolesByUserId (params) {
  return request({
    url: roleApi.rolesByUserId,
    method: 'post',
    data: params
  })
}
