import request from '@/utils/request'

const roleResourceApi = {
  add: '/security/roleResource/add',
  del: '/security/roleResource/delete'
}

export function roleResourceAdd (params) {
  return request({
    url: roleResourceApi.add,
    method: 'post',
    data: params
  })
}
export function roleResourceDelete (params) {
  return request({
    url: roleResourceApi.del,
    method: 'post',
    data: params
  })
}
