import request from '@/utils/request'

const userRoleApi = {
  add: '/security/userRole/add',
  del: '/security/userRole/delete'
}

export function userRoleAdd (params) {
  return request({
    url: userRoleApi.add,
    method: 'post',
    data: params
  })
}
export function userRoleDelete (params) {
  return request({
    url: userRoleApi.del,
    method: 'post',
    data: params
  })
}
