import request from '@/utils/request'
const supplierApi = {
  add: '/supplier/supplier/add',
  get: '/supplier/supplier/getById',
  update: '/supplier/supplier/update',
  del: '/supplier/supplier/delete',
  page: '/supplier/supplier/pageByParams',
  updateStatus: '/supplier/supplier/updateStatus',
  list: '/supplier/supplier/listSupplierByParams'
}

export function supplierAdd (params) {
  return request({
    url: supplierApi.add,
    method: 'post',
    data: params
  })
}
export function supplierGet (params) {
  return request({
    url: supplierApi.get,
    method: 'post',
    data: params
  })
}
export function supplierUpdate (params) {
  return request({
    url: supplierApi.update,
    method: 'post',
    data: params
  })
}
export function supplierDelete (params) {
  return request({
    url: supplierApi.del,
    method: 'post',
    data: params
  })
}
export function supplierPage (params) {
  return request({
    url: supplierApi.page,
    method: 'post',
    data: params
  })
}
export function supplierUpdateStatus (params) {
  return request({
    url: supplierApi.updateStatus,
    method: 'post',
    data: params
  })
}
export function supplierList (params) {
  return request({
    url: supplierApi.list,
    method: 'post',
    data: params
  })
}
