import Vue from 'vue'
import Vuex from 'vuex'

import app from './modules/app'
import user from './modules/user'
import accessToken from './modules/access-token'
import permission from './modules/async-router'
import getters from './getters'

Vue.use(Vuex)

export default new Vuex.Store({
  modules: {
    app,
    user,
    accessToken,
    permission
  },
  state: {

  },
  mutations: {

  },
  actions: {

  },
  getters
})
